/*
 * Copyright (c) 2018, Dropbox, Inc. All rights reserved.
 */

// dbx-min-coverage: 0% because dialog
package com.dropbox.android.activity.dialog

import android.app.Dialog
import android.os.Bundle
import com.dropbox.android.R
import com.dropbox.android.activity.base.BaseDialogFragment
import com.dropbox.core.ui.util.DbxAlertDialogBuilder

class NoCloudDocViewerDialogFragment : BaseDialogFragment() {

    override fun onCreateDialog(savedInstanceState: Bundle?): Dialog {
        val filename = checkNotNull(arguments).getString(ARG_FILENAME)
        return DbxAlertDialogBuilder(activity).apply {
            setTitle(activity!!.getString(R.string.cloud_doc_cannot_view_dialog_title, filename))
            setMessage(getString(R.string.cloud_doc_cannot_view_dialog_body, filename))
            setPositiveButton(R.string.ok) { _, _ ->
                /* self cancels */
            }
            setCancelable(true)
        }.create()
    }

    companion object {
        private const val ARG_FILENAME = "ARG_FILENAME"

        /**
         * [NoCloudDocViewerDialogFragment] factory method
         * @param filename of the cloud doc we can't view
         * @return instantiated NoCloudDocViewerDialogFragment
         */
        @JvmStatic
        fun newInstance(filename: String): NoCloudDocViewerDialogFragment =
            NoCloudDocViewerDialogFragment().apply {
            val args = Bundle()
            args.putString(ARG_FILENAME, filename)
            arguments = args
        }
    }
}
