// dbx-min-coverage: 0% because this is UI
/*
 * Copyright (c) 2018, Dropbox, Inc. All rights reserved.
 */

package com.dropbox.android.browser.banners

import android.support.v4.content.ContextCompat
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import com.dropbox.android.R
import com.dropbox.android.widget.FileListAdapter.BasicViewHolder
import com.dropbox.android.widget.FileListAdapter.HeaderItem
import com.dropbox.base.oxygen.isInstance
import com.dropbox.core.ui.widgets.Banner

class CameraUploadsPromoBannerHeaderItem(
    private val viewTypeId: Int,
    private val dismissable: Boolean,
    private val onBannerClickListener: View.OnClickListener,
    private val onDismissClickListener: View.OnClickListener
) : HeaderItem() {

    override fun getType(): Int {
        return viewTypeId
    }

    override fun createViewHolder(parent: ViewGroup): BasicViewHolder {
        val cameraUploadPromoBannerView = isInstance(
                LayoutInflater.from(parent.context)
                        .inflate(R.layout.camera_uploads_promo_banner, parent, false),
                Banner::class.java)

        cameraUploadPromoBannerView.apply {
            isInstance(
                    LayoutInflater.from(parent.context)
                            .inflate(R.layout.camera_uploads_promo_banner, parent, false),
                    Banner::class.java)
            setImageResource(R.drawable.icon_banner_camera)
            setActionListener(onBannerClickListener)
            setTextColor(ContextCompat
                    .getColor(parent.context, R.color.camera_upload_promo_banner_title))
            setTextColorForSubtitle(ContextCompat
                    .getColor(parent.context, R.color.camera_upload_promo_banner_body))
            setSubtitleTextIsAllCaps(false)

            // Dismissable banners should show an opt out button
            if (dismissable) {
                setOnDismissListener(onDismissClickListener)
            } else {
                setDismissable(false)
            }
        }

        return BasicViewHolder(cameraUploadPromoBannerView)
    }
}
