package com.dropbox.android.camerauploads

import android.content.Context
import android.os.Handler
import com.dropbox.android.notifications.SystemTrayNotificationController
import com.dropbox.android.user.DbxUser
import java.util.concurrent.Executor

internal interface CameraUploadsUserControllerFactory {
    fun createForUser(user: DbxUser): CameraUploadsUserController
}

internal class CameraUploadsUserControllerFactoryImpl(
    private val context: Context,
    private val jobManager: CameraUploadJobManager,
    private val mainThreadHandler: Handler,
    private val systemTrayNotificationController: SystemTrayNotificationController,
    private val appStatusHelper: AppStatusHelper,
    private val executor: Executor
) : CameraUploadsUserControllerFactory {
    override fun createForUser(user: DbxUser): CameraUploadsUserController =
            CameraUploadsV3UserController(
            context,
            user,
            jobManager,
            mainThreadHandler,
            executor,
            systemTrayNotificationController,
            appStatusHelper)
}
