/*
 * Copyright (c) 2018, Dropbox, Inc. All rights reserved.
 */

package com.dropbox.android.cloudmessaging

import com.dropbox.android.exception.EnvInfo
import com.dropbox.android.user.DbxUserManager
import com.dropbox.base.analytics.AnalyticsLogger
import com.dropbox.base.rxjava_utils.IO
import dagger.Module
import dagger.Provides
import io.reactivex.Scheduler
import javax.inject.Singleton

/**
 * Google Cloud Messaging dependencies for Dagger.
 */
@Module
class GoogleCloudMessagingModule {
    @Singleton
    @Provides
    internal fun provideGoogleCloudMessaging(
        userManager: DbxUserManager,
        analyticsLogger: AnalyticsLogger,
        envInfo: EnvInfo,
        @IO subscribeOn: Scheduler
    ): DbxCloudMessagingManager {

        return DbxCloudMessagingManager(
                DbxFirebaseFacade(),
                userManager,
                analyticsLogger,
                envInfo,
                subscribeOn)
    }
}
