/*
 * Copyright (c) 2018, Dropbox, Inc. All rights reserved.
 */

package com.dropbox.android.content.camerauploads

import com.dropbox.product.dbapp.camera_upload.cu_ui.DbxCameraUploadsFeatureStatus
import com.dropbox.product.dbapp.camera_upload.cu_ui.DbxCameraUploadsStatusSnapshot
import com.dropbox.product.dbapp.camera_upload.cu_ui.DbxCameraUploadsViewModel

/**
 * Used in MVVM layer.
 * It contains the necessary data to construct the corresponding {@link CameraUploadsViewModel}
 */
data class CameraUploadsUserStatus(
    val cuSnapshot: DbxCameraUploadsStatusSnapshot =
            DbxCameraUploadsViewModel.defaultSnapshotForStatus(
                    DbxCameraUploadsFeatureStatus.NOT_STARTED),
    val userCanUpgrade: Boolean = false,
    val userCanEnableCameraUploads: Boolean = false,
    val shouldShowConfirmTranscodeSettingBannerInHome: Boolean = false,
    val shouldShowStatusBarInHome: Boolean = false,
    val shouldShowEnableBannerInHome: Boolean = false,
    val shouldShowUpsellBannerInHome: Boolean = false,
    val cuControlIcon: CameraUploadsControlIcon = CameraUploadsControlIcon.NONE,
    val cuStatusTitle: String = "",
    val cuStatusSubtitle: String = "",
    val cuStatusSubtitleColor: Int = 0,
    val cuStatusIcon: Int = 0
)
