// dbx-min-coverage: 0% because it's handling the UI binding logic
package com.dropbox.android.content.camerauploads.activity

import android.support.annotation.CallSuper
import android.view.ViewGroup
import com.dropbox.android.R
import com.dropbox.android.content.ViewModel
import com.dropbox.android.content.activity.ViewHolder
import com.dropbox.android.content.activity.ViewHolderFactory
import com.dropbox.android.content.activity.ViewHolderType
import com.dropbox.android.content.camerauploads.CameraUploadsViewModel
import com.dropbox.base.oxygen.isInstance
import com.dropbox.base.oxygen.isInstanceOrNull
import com.dropbox.core.ui.widgets.listitems.DbxListItem

/**
 * Concrete factory for CameraUploadsViewHolder
 */
class CameraUploadsViewHolderFactory : ViewHolderFactory {
    override fun create(parentView: ViewGroup): ViewHolder = CameraUploadsViewHolder(parentView)
}

/**
 * View holder for [CameraUploadsViewModel] for lists.
 */
class CameraUploadsViewHolder
internal constructor(parentView: ViewGroup)
    : ViewHolder(
        R.layout.list_camera_uploads_view_holder,
        parentView,
        ViewHolderType.LIST_CAMERA_UPLOADS_VIEW_HOLDER) {

    val cuListItem: DbxListItem =
            findViewById(R.id.camera_upload_status_row, DbxListItem::class.java)

    @CallSuper
    override fun getViewModel(): CameraUploadsViewModel {
        return isInstance(super.getViewModel(), CameraUploadsViewModel::class.java)
    }

    @CallSuper
    override fun setViewModel(value: ViewModel?) {
        super.setViewModel(isInstanceOrNull(value, CameraUploadsViewModel::class.java))
    }
}
