/*
 * Copyright (c) 2018, Dropbox, Inc. All rights reserved.
 */

package com.dropbox.android.gallery.controller

import android.content.Context
import android.support.v4.view.ViewPager
import android.util.AttributeSet
import android.view.MotionEvent

class GalleryViewPager : ViewPager {

    var isScrollable: Boolean = true

    constructor(context: Context): super(context)
    constructor(context: Context, attrs: AttributeSet): super(context, attrs)

    override fun onTouchEvent(ev: MotionEvent?): Boolean {
        return if (isScrollable) {
            super.onTouchEvent(ev)
        } else {
            false
        }
    }

    override fun onInterceptTouchEvent(ev: MotionEvent?): Boolean {
        return if (isScrollable) {
            super.onInterceptTouchEvent(ev)
        } else {
            false
        }
    }
}
