// dbx-min-coverage: 0% because wiring
/*
 * Copyright (c) 2018, Dropbox, Inc. All rights reserved.
 */

package com.dropbox.android.inject

import android.content.Context
import android.content.Intent
import com.dropbox.android.activity.lock.LockCodeActivity
import com.dropbox.android.user.DbxUserManager
import com.dropbox.core.android.lock_screen.LockScreenRouter
import com.dropbox.core.android.lock_screen.LockScreenSettings
import com.dropbox.core.android.lock_screen.LockSettingsProvider
import dagger.Module
import dagger.Provides

@Module
class LockScreenWiringModule {
    @Provides
    fun provideLockSettingsProvider(userManager: DbxUserManager): LockSettingsProvider =
            DbxLockSettingsProvider(userManager)

    @Provides
    fun provideLockScreenRouter(): LockScreenRouter = DbxLockScreenRouter()
}

private class DbxLockSettingsProvider(private val userManager: DbxUserManager)
    : LockSettingsProvider {

    override fun lockSettings(): LockScreenSettings? {
        return userManager.users?.settings
    }
}

private class DbxLockScreenRouter : LockScreenRouter {
    override fun lockScreenIntent(context: Context): Intent = Intent(context, LockCodeActivity::class.java)
}
