/*
 * Copyright (c) 2018, Dropbox, Inc. All rights reserved.
 */

package com.dropbox.android.preference

import android.content.Context
import android.content.Intent
import android.net.Uri
import com.dropbox.android.activity.GeneralDropboxWebViewActivity
import com.dropbox.android.user.DbxUserset
import com.dropbox.android.util.web.WebUrl
import com.dropbox.core.stormcrow.StormcrowSubgrowthProMobileAndroidAccount

/**
 * Returns true if the redesigned preference screen should be used. Returns false otherwise.
 */
fun shouldShowPreferenceRedesign(userset: DbxUserset) = try {
        userset.isAnyUserInStormcrowVariant(StormcrowSubgrowthProMobileAndroidAccount.VV1) ||
                userset.isAnyUserInStormcrowVariant(
                    StormcrowSubgrowthProMobileAndroidAccount.VV2) ||
                userset.isAnyUserInStormcrowVariant(
                    StormcrowSubgrowthProMobileAndroidAccount.VSATURN)
    } catch (e: Exception) {
        false
    }

fun getIntentForLockedTeamNextSteps(context: Context, userId: String): Intent {
    val uri = Uri.parse(WebUrl.TEAM_DECIDE.localizedUrl(context.resources))
    return GeneralDropboxWebViewActivity.buildOpenUrlIntent(
        context, userId, uri
    )
}
