// dbx-min-coverage: 0% because Preference
/*
 * Copyright (c) 2018, Dropbox, Inc. All rights reserved.
 */

package com.dropbox.android.preference

import android.content.Context
import android.graphics.Color
import android.support.v7.preference.Preference
import android.support.v7.preference.PreferenceViewHolder
import android.util.AttributeSet
import android.widget.TextView
import com.dropbox.android.R

/**
 * A top level preference (not in any category) that is by itself.
 */
class RedStandalonePreference : Preference {

    constructor(context: Context?) : super(context)

    constructor(context: Context?, attrs: AttributeSet?) : super(context, attrs)

    constructor(
        context: Context?,
        attrs: AttributeSet?,
        defStyleAttr: Int
    ) : super(context, attrs, defStyleAttr)

    constructor(
        context: Context?,
        attrs: AttributeSet?,
        defStyleAttr: Int,
        defStyleRes: Int
    ) : super(context, attrs, defStyleAttr, defStyleRes)

    init {
        layoutResource = R.layout.dbx_standalone_preference
    }

    override fun onBindViewHolder(holder: PreferenceViewHolder?) {
        super.onBindViewHolder(holder)

        (holder?.findViewById(android.R.id.title) as TextView?)?.apply {
            setTextColor(Color.RED)
        }

        holder?.apply {
            isDividerAllowedAbove = false
            isDividerAllowedBelow = false
        }
    }
}
