// dbx-min-coverage: 0% because it's a view with no logic
/*
 * Copyright (c) 2018, Dropbox, Inc. All rights reserved.
 */

package com.dropbox.android.sharing

import android.content.Context
import android.support.v4.content.ContextCompat
import android.util.AttributeSet
import android.view.LayoutInflater
import android.widget.LinearLayout
import com.dropbox.android.R
import kotlinx.android.synthetic.main.shared_content_invite_banner_view.view.banner
import kotlinx.android.synthetic.main.shared_content_invite_banner_view.view.message

class SharedContentInviteBannerView : LinearLayout {
    constructor(context: Context) : this(context, null)
    constructor(context: Context, attrs: AttributeSet?) : this(context, attrs, 0)
    constructor(context: Context, attrs: AttributeSet?, defStyleAttr: Int) :
            super(context, attrs, defStyleAttr) {
        LayoutInflater.from(context).inflate(R.layout.shared_content_invite_banner_view, this)
    }

    fun setErrorNotification(errorMessage: String) {
        message.setText(errorMessage)
        message.setTextColor(ContextCompat.getColor(context, R.color.dbx_white_opaque_100))
        banner.setBackgroundColor(ContextCompat.getColor(context, R.color.dbx_maestro_cherry))
    }

    fun setWarningNotification(warningMessage: String) {
        message.setText(warningMessage)
        message.setTextColor(ContextCompat.getColor(context, R.color.dbx_black_opaque_100))
        banner.setBackgroundColor(ContextCompat.getColor(context, R.color.dbx_maestro_banana))
    }
}
