/*
 * Copyright (c) 2018, Dropbox, Inc. All rights reserved.
 */

package com.dropbox.android.update

import com.dropbox.android.exception.EnvInfo
import com.dropbox.android.util.EmmHelper
import com.dropbox.core.client_deprecation.ClientDeprecationInfo
import com.dropbox.core.client_deprecation.ClientDeprecationModule
import dagger.Module
import dagger.Provides
import javax.inject.Singleton

/**
 * @see ClientDeprecationModule but also introduces ClientDeprecationInfo to the dependency graph
 */
@Module(includes = [ClientDeprecationModule::class])
class DropboxClientDeprecationModule {
    @Singleton
    @Provides
    fun provideClientDeprecationInfo(envInfo: EnvInfo, emmHelper: EmmHelper):
        ClientDeprecationInfo {
        return ClientDeprecationInfo(phoneModel = envInfo.phoneModel, osVersion = envInfo.androidVersion,
            isEmm = emmHelper.isInEmmMode)
    }
}
