// dbx-min-coverage: 0% because grandfathered
/*
 * Copyright (c) 2017, Dropbox, Inc. All rights reserved.
 */

@file:JvmName("DrawableUtil")

package com.dropbox.android.util

import android.content.Context
import android.graphics.drawable.Drawable
import android.support.annotation.ColorRes
import android.support.annotation.DrawableRes
import android.support.v4.content.ContextCompat
import android.support.v4.graphics.drawable.DrawableCompat
import com.dropbox.android.R

/**
 * Tints a given drawable.
 */
@JvmOverloads
fun tintDrawable(
    context: Context,
    @DrawableRes resId: Int,
    @ColorRes colorRes: Int = R.color.dbx_blue_stateful
): Drawable {
    return ContextCompat.getDrawable(context, resId)?.tinted(context, colorRes)
            ?: throw RuntimeException("Unable to find drawable with id $resId")
}

/**
 * Returns the tinted version of the drawable.
 */
@JvmOverloads
fun Drawable.tinted(
    context: Context,
    @ColorRes colorRes: Int = R.color.dbx_blue_stateful
): Drawable {
    return DrawableCompat.wrap(mutate()).apply {
        DrawableCompat.setTintList(
            this, ContextCompat.getColorStateList(context, colorRes)
        )
    }
}
