/*
 * Copyright (c) 2018, Dropbox, Inc. All rights reserved.
 */

package com.dropbox.android.util

import android.text.Html
import android.text.Spanned
import com.dropbox.base.device.Version

/**
 * Returns displayable styled text from the provided HTML string with the legacy flags
 * {@link #FROM_HTML_MODE_LEGACY}.
 */
fun spannedFromHtml(source: String): Spanned {
    return if (Version.gte(Version.API_24)) {
        @Suppress("NewApi")
        Html.fromHtml(source, Html.FROM_HTML_MODE_LEGACY, null, null)
    } else {
        @Suppress("deprecation")
        Html.fromHtml(source)
    }
}
