// dbx-min-coverage: 75% because grandfathered

/*
 * Copyright (c) 2018, Dropbox, Inc. All rights reserved.
 */

package com.dropbox.internalclient

/**
 * Generic exception in the shared link API with an optional error message and a type to determine
 * the kind of error it is.
 *
 * @param errorCode An http error code
 * @param errorType A domain specific exception type.
 */
class SharedLinkApiException(
    val errorCode: String?,
    val errorType: SharedLinkApiException.Type
) : Exception() {
    enum class Type {
        IO, PARSE, SERVER, GENERIC, NOT_MODIFIED, NOT_FOUND, FORBIDDEN
    }
}
